var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from) {
    for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
        to[j] = from[i];
    return to;
};
import React, { useState } from 'react';
import styled from 'styled-components';
import { useOnClickOutside } from "../../utils";
import { Icon, Dropdown } from "./..";
export var AppDropdown = function (_a) {
    var name = _a.name, onClose = _a.onClose, options = _a.options, version = _a.version, closeOnItemClick = _a.closeOnItemClick;
    var _b = useState(false), open = _b[0], setOpen = _b[1];
    var toggle = function () { return setOpen(function (prevState) { return !prevState; }); };
    var outRef = useOnClickOutside(function () { return setOpen(false); });
    var trigger = function () { return (React.createElement(Dropdown.TriggerWrapper, { onClick: toggle },
        React.createElement(Icon, { name: open ? 'times' : 'bars', size: "medium" }))); };
    var _options = __spreadArray(__spreadArray([], (options || [])), [
        {
            label: "Close " + name,
            onClick: function () {
                setOpen(false);
                if (onClose) {
                    onClose();
                }
            },
            divider: true,
        },
        {
            label: "Version " + version,
            onClick: function (e) { return e.stopPropagation(); },
            disabled: true,
        },
    ]);
    var items = _options.map(function (props, idx) {
        var _a = props, label = _a.label, onClick = _a.onClick, rest = __rest(_a, ["label", "onClick"]);
        var handleClick = function (e) {
            if (onClick) {
                onClick();
            }
            if (closeOnItemClick) {
                setOpen(false);
            }
        };
        return (React.createElement(Dropdown.Item, __assign({ key: label + "-" + idx }, rest, { onClick: handleClick }),
            React.createElement("span", null, label)));
    });
    return (React.createElement(AppDropdownContainer, null,
        React.createElement(Dropdown, { fluid: true, open: open, onClick: toggle, trigger: trigger, outRef: outRef },
            React.createElement(Dropdown.ListWrapper, { direction: "left", autoWidth: true, rounded: true }, items))));
};
var AppDropdownContainer = styled.div.withConfig({ displayName: "AppDropdownContainer", componentId: "sc-wbfurn" })(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  height: 35px;\n  display: flex;\n  align-items: center;\n"], ["\n  height: 35px;\n  display: flex;\n  align-items: center;\n"])));
var templateObject_1;
