import React, { useState } from 'react';
import { useOnClickOutside } from "../../utils";
import { Search } from "../Input";
import { SearchItem } from "../SearchItem";
import { SuggestionSearchContainer, DropdownWrapper, DropdownContainer, } from './styles';
var dropdownVisible = function (inputActive, searchString, selectedItem) {
    return inputActive &&
        searchString.trim().length > 0 &&
        (selectedItem === null || selectedItem === void 0 ? void 0 : selectedItem.subtitle) !== searchString.trim();
};
export var SuggestionSearch = function (_a) {
    var selectedItem = _a.selectedItem, items = _a.items, fluid = _a.fluid, placeholder = _a.placeholder, height = _a.height, _b = _a.nothingFoundMessage, nothingFoundMessage = _b === void 0 ? 'No results found' : _b, onChange = _a.onChange, onSelect = _a.onSelect, onClear = _a.onClear;
    var _c = useState((selectedItem === null || selectedItem === void 0 ? void 0 : selectedItem.subtitle) || ''), searchString = _c[0], setSearchString = _c[1];
    var _d = useState(false), inputActive = _d[0], setInputActive = _d[1];
    var handleClickOutside = function () {
        setSearchString((selectedItem === null || selectedItem === void 0 ? void 0 : selectedItem.subtitle) || '');
        if (inputActive) {
            setInputActive(false);
        }
    };
    var suggestionSearchRef = useOnClickOutside(handleClickOutside);
    var handleOnChange = function (e) {
        var newString = e.target.value;
        setSearchString(newString);
        onChange(newString);
    };
    var handleOnClear = function () {
        if (searchString.length > 0) {
            setSearchString('');
            onClear();
        }
    };
    var handleOnSelect = function (item) {
        setSearchString(item.subtitle);
        setInputActive(false);
        onSelect(item);
    };
    var opened = dropdownVisible(inputActive, searchString, selectedItem);
    return (React.createElement(SuggestionSearchContainer, { fluid: fluid, ref: suggestionSearchRef },
        React.createElement(Search, { rounded: opened ? 'top' : undefined, fluid: fluid, placeholder: placeholder, value: searchString, onChange: handleOnChange, onFocus: function () { return setInputActive(true); }, onClear: handleOnClear }),
        opened ? (React.createElement(DropdownWrapper, { itemsLength: items.length, fluid: fluid, height: height },
            React.createElement(DropdownContainer, { itemsLength: items.length }, items.length > 0
                ? items.map(function (item) { return (React.createElement(SearchItem, { key: item.id, title: item.title, subtitle: item.subtitle, avatar: item.avatar, highlightWords: [searchString.trim()], onClick: function () { return handleOnSelect(item); } })); })
                : nothingFoundMessage))) : null));
};
