export interface SuggestionSearchDivProps {
    fluid?: boolean;
}
export interface DropdownWrapperProps {
    itemsLength: number;
    fluid?: boolean;
    height?: number;
}
export interface DropdownContainerProps {
    itemsLength: number;
}
export interface SuggestionItem {
    id: string;
    avatar: string;
    title: string;
    subtitle: string;
}
export interface SuggestionSearchProps {
    /**
     * Single item which is currently selected
    */
    selectedItem: SuggestionItem | null;
    /**
     * Array of items to display in dropdown
    */
    items: Array<SuggestionItem>;
    /**
     * Fluid component will take width from parent
    */
    fluid?: boolean;
    /**
     * Placeholder string for search input
    */
    placeholder?: string;
    /**
     * Height of dropdown in pixels
    */
    height?: number;
    /**
     * Message to display in the dropdown in case no items was found
    */
    nothingFoundMessage?: string;
    /**
     * Triggered when typing in search input
    */
    onChange: (value: string) => void;
    /**
     * Triggered when item from dropdown is clicked on
    */
    onSelect: (value: SuggestionItem) => void;
    /**
     * Triggered when 'cross' img on search input is clicked
    */
    onClear: () => void;
}
