var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import styled from 'styled-components';
import { Ellipsis, Icon } from "../../components";
import { ReviewStatuses } from '../../types';
var getReviewStatus = function (status) {
    var content = React.createElement(ReviewStatusText, null, "Pending");
    switch (status) {
        case ReviewStatuses.DONE:
            content = (React.createElement(React.Fragment, null,
                React.createElement("span", { className: "StatusIndicator StatusIndicator--done" }),
                React.createElement("span", null, "Done")));
            break;
        case ReviewStatuses.APPROVED:
            content = (React.createElement(React.Fragment, null,
                React.createElement(ReviewStatusText, null, "Approved"),
                React.createElement("span", { className: "ReviewStatusIcon" },
                    React.createElement(Icon, { name: "check", size: "small", color: "primary", fitted: true }))));
            break;
        case ReviewStatuses.REFUSED:
            content = (React.createElement(React.Fragment, null,
                React.createElement(ReviewStatusText, null, "Refused"),
                React.createElement("span", { className: "ReviewStatusIcon ReviewStatusIcon--refused" },
                    React.createElement(Icon, { name: "times", size: "small", inheritColor: true, fitted: true }))));
            break;
        case ReviewStatuses.SKIPPED:
            content = (React.createElement("span", { className: "ReviewStatusIcon--skipped" },
                React.createElement(Icon, { name: "minus", size: "mini", inheritColor: true, fitted: true })));
            break;
    }
    return React.createElement("div", null, content);
};
export var ReviewersTable = function (_a) {
    var data = _a.data, _b = _a.columnNames, columnNames = _b === void 0 ? [] : _b, rest = __rest(_a, ["data", "columnNames"]);
    return (React.createElement("table", __assign({}, rest),
        React.createElement("thead", null,
            React.createElement("tr", null,
                React.createElement("th", null, columnNames[0] || 'Reviewer'),
                React.createElement("th", null, columnNames[1] || 'Review State'))),
        React.createElement("tbody", null, data.map(function (_a) {
            var id = _a.id, name = _a.name, status = _a.status;
            return (React.createElement("tr", { key: id },
                React.createElement("td", null,
                    React.createElement(ReviewerNameColumn, null,
                        React.createElement(Ellipsis, null, name))),
                React.createElement("td", null, getReviewStatus(status))));
        }))));
};
var ReviewerNameColumn = styled.div.withConfig({ displayName: "ReviewerNameColumn", componentId: "sc-okmj2e" })(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  display: flex;\n"], ["\n  display: flex;\n"])));
var ReviewStatusText = styled.span.withConfig({ displayName: "ReviewStatusText", componentId: "sc-w5gsjt" })(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  font-style: italic;\n"], ["\n  font-style: italic;\n"])));
var templateObject_1, templateObject_2;
