export function getReviewKiStatistics(reviewKiData) {
    if (!reviewKiData) {
        return {
            inProgress: false,
            pending: false,
            partialRefuse: false,
            refused: false,
            approved: false,
        };
    }
    var pendingReview = reviewKiData.pending, approvedReview = reviewKiData.approved, refusedReview = reviewKiData.refused;
    var inProgress = pendingReview > 0 && approvedReview > 0 && refusedReview === 0;
    var pending = refusedReview === 0 && approvedReview === 0 && pendingReview > 0;
    var partialRefuse = refusedReview > 0 && (pendingReview > 0 || approvedReview > 0);
    var refused = approvedReview === 0 && pendingReview === 0 && refusedReview > 0;
    var approved = refusedReview === 0 && pendingReview === 0 && approvedReview > 0;
    return {
        inProgress: inProgress,
        pending: pending,
        partialRefuse: partialRefuse,
        refused: refused,
        approved: approved,
    };
}
